%define	name	xsw-data
%define	version 1.33d
%define release 6mdk
%define clientdatadir %{_gamesdatadir}/xshipwars
%define clientconfdir %{_sysconfdir}/xshipwars

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Data package for XShipWars
License: 	GPL
Group: 		Games/Other
Source:		xswdata%{version}.tar.bz2
Url: 		http://wolfpack.twu.net/ShipWars/XShipWars
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
This is data package for XShipWars.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{clientdatadir}
install -d -m 755 $RPM_BUILD_ROOT%{clientconfdir}
cp -pr images $RPM_BUILD_ROOT%{clientdatadir}
cp -pr etc/* $RPM_BUILD_ROOT%{clientconfdir}
cd $RPM_BUILD_ROOT%{clientdatadir}
ln -sf ../../../..%{clientconfdir} etc

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%dir %{clientconfdir}
%dir %{clientdatadir}
%dir %{clientdatadir}/images
%config(noreplace) %{clientconfdir}/default.ocsn
%config(noreplace) %{clientconfdir}/destroyed.page
%config(noreplace) %{clientconfdir}/generic.cht
%config(noreplace) %{clientconfdir}/main.page
%config(noreplace) %{clientconfdir}/terminus.ocsn
%config(noreplace) %{clientconfdir}/universes
%config(noreplace) %{clientconfdir}/xshipwarsrc
%{clientdatadir}/images/client
%{clientdatadir}/images/effects
%{clientdatadir}/images/destroyed.page
%{clientdatadir}/images/main.page

%changelog
* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.33d-6mdk
- no more monitor and unvedit subpackages
- add missing configuration files

* Wed Jan 09 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.33d-5mdk
- rebuild for lord rpmlint

* Wed Jan 09 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.33d-4mdk
- config files in %{clientconfdir}
- data files in %{clientdatadir}

* Tue Oct 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.33d-3mdk
- fixes from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- added monitor and unvedit data, to allows simultaneous install
	  of stable and unstable branches
	- s/Copyright/License
	- new source URL 

* Tue May 01 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.33d-2mdk
- removed file conflicting with xsw package

* Tue Apr 24 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.33d-1mdk
- first distinct package
